<!DOCTYPE html>
<html ng-app="myApp">
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular.min.js"></script>

<body>

<!--<h1 ng-repeat="x in records">{{x}}</h1>-->

<h1>Daftar Materi</h1>
<div ng-controller="myCtrl">

    Email Anda : <input type="text" ng-model="email"/>
    <button ng-click="tambahEmail()">Tambahkan</button>
    <br/>

    Halo {{email}}

    <br/>

    Daftar Email:
    <ul>
        <li ng-repeat="x in records">
            {{x}}
            <button ng-click="hapusEmail(x)">Hapus</button>
        </li>
    </ul>
</div>

<div ng-controller="MateriController">
    <table>
        <thead>
            <tr>
                <th>Kode</th>
                <th>Nama</th>
            </tr>
        </thead>
        <tbody>
            <tr ng-repeat="m in dataMateri.content">
                <td>{{m.kode}}</td>
                <td>{{m.nama}}</td>
                <td><button ng-click="hapusMateri(m)">Hapus</button></td>
            </tr>
        </tbody>
    </table>

    <table border="1">
        <tbody>
        <tr>
            <td>Kode</td>
            <td>
                <input type="text" ng-model="materi.kode" required="true" />
            </td>
            <td></td>
        </tr>
        <tr>
            <td>Nama</td>
            <td>
                <input type="text" ng-model="materi.nama" required="true" />
            </td>
            <td></td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td>
                <button ng-click="simpanMateri()">Simpan</button>
            </td>
            <td></td>
        </tr>
        </tbody>
    </table>

</div>

<script>
    var app = angular.module("myApp", []);


    app.controller("myCtrl", function($scope) {
        $scope.records = [
            "WandyHanyudha@Gmail.com",
            "hanyudha@yahoo.com",
            "wandy.hanyudha@uinjkt.ac.id",
            "Email@email.com",
        ];

        $scope.tambahEmail = function(){
            $scope.records.push($scope.email);
        };

        $scope.hapusEmail = function(x){
            var lokasiIndex = $scope.records.indexOf(x);
            if (lokasiIndex > -1) {
                $scope.records.splice(lokasiIndex, 1);
            }
        };
    });

    app.controller('MateriController', function ($http, $scope){
        $scope.dataMateri = [];

        $scope.simpanMateri = function (){
            $http.post('/api/materi/', $scope.materi).then(suksesbro, gagalbro);
            function suksesbro(response) {
                $scope.updateDataMateri();
            }
            function gagalbro(response) {
                console.log(response)
                alert('Error : '+response);

            };
        };

        $scope.hapusMateri = function(s){
            $http.delete('/api/materi/'+s.id).then(suksesbro, gagalbro)
            function suksesbro(){
                alert('Sukses Hapus')
                $scope.updateDataMateri();
                console.log(response)

            }
            function gagalbro(response){
                console.log(response)
                alert('Error: '+response);
            };
        };

        $scope.updateDataMateri = function (){
            $http.get('/api/materi/').then(suksesbro, gagalbro);

            function suksesbro(response){
                alert("sukses")
                $scope.dataMateri = response.data;
                console.log($scope.dataMateri);
            };

            function gagalbro(response){
                console.log(response);
                alert('Error : ' + response);
            };
        };
        $scope.updateDataMateri();
    });
</script>
</body>
</html>
